router ospf 1
{% for intf in layer3_data[inventory_hostname] %}
{% if intf.name.startswith('Loopback') %}
router-id {{ intf.ipv4 | ipaddr('address') }}
{% else %}
network {{ intf.ipv4|ipaddr('network') }} {{ intf.ipv4|ipaddr('hostmask') }}
area 0
{% endif %}
{% endfor %}

